## lomiri-dekko-app 0.4.1+dfsg

=== requirements.txt ===
markdown==3.3.3
markupsafe==1.1.1
cssutils==2.1.0
jinja2
pynliner
pygments
html2text
importlib-metadata==1.7.0
zipp
soupsieve
