=== debian/changelog ===
lomiri-dekko-app (0.4.1+dfsg-8) unstable; urgency=medium

  * debian/patches:
    + Add 2007_hide-app-if-not-in-lomiri.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 17:07:07 +0200

lomiri-dekko-app (0.4.1+dfsg-7) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/:
    + Install DBus service file for DBus activation.
    + Add qmf-have-account and use it in systemd service.

  [ Mike Gabriel ]
  * debian/control:
    + Add to D (lomiri-dekko-app): lomiri-app-launch-tools.
  * debian/bin/lomiri-dekko-app:
    + Launch dekko via lomiri-app-launch.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 11:58:50 +0200

lomiri-dekko-app (0.4.1+dfsg-6) unstable; urgency=medium

  * debian/control:
    + Fix QML module name (qml-module-lomiri-content-hub -> qml-module-lomiri-
      content).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Apr 2025 10:35:14 +0200

lomiri-dekko-app (0.4.1+dfsg-5) unstable; urgency=medium

  * debian/control:
    + Add D: (dekko): qml-module-lomiri-content-hub. (Closes: #1102100).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Apr 2025 10:28:33 +0200

lomiri-dekko-app (0.4.1+dfsg-4) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/*:
    + Update to qmf 5.0~git20250326.d27f464
  * debian/patches/:
    + Remove 2003-Add-workaround-for-race-condition-in-qmf-during-acco.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 31 Mar 2025 15:21:20 +0200

lomiri-dekko-app (0.4.1+dfsg-3) unstable; urgency=medium

  * debian/control:
    + Add D: qml-module-qtqml-statemachine. (Closes: #1095253).
    + Sort D: field.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 08 Feb 2025 18:46:19 +0100

lomiri-dekko-app (0.4.1+dfsg-2) unstable; urgency=medium

  * debian/control:
    + Add D: (dekko): qml-module-lomiri-components, qml-module-qtquick-
      controls2-suru and qml-module-qtwebengine. (Closes: #1095208).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Feb 2025 13:28:01 +0100

lomiri-dekko-app (0.4.1+dfsg-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1093875). Thanks to Guido Berhörster
    and Cosima Neidahl for helping with this huge project (upstream and
    downstream).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Jan 2025 10:08:54 +0100
