=== debian/watch ===
version=4
opts="searchmode=plain, dversionmangle=s/\+dfsg//, repacksuffix=+dfsg" \
https://gitlab.com/dekkan/dekko/tags?sort=updated_desc -/archive/v?\d[\d.]+/dekko-@ANY_VERSION@@ARCHIVE_EXT@
