## lomiri-dekko-app 0.5.2%2Bdfsg

=== i18n/CMakeLists.txt ===
list(APPEND DEKKO_TRANSLATIONS_TS
    am.ts
    bn_BD.ts
    ca.ts
    cs.ts
    da.ts
    de.ts
    el.ts
    en_GB.ts
    en.ts
    eo.ts
    es.ts
    et.ts
    fi.ts
    fr.ts
    gl.ts
    gu.ts
    he.ts
    hu.ts
    id.ts
    it.ts
    ja.ts
    ko.ts
    lt.ts
    nb.ts
    nds.ts
    nl.ts
    or.ts
    pl.ts
    pt_BR.ts
    pt.ts
    ro.ts
    ru.ts
    sc.ts
    si.ts
    sk.ts
    sq_AL.ts
    sr.ts
    sv.ts
    ta.ts
    th.ts
    tr.ts
    tzm.ts
    uk.ts
    zh_CN.ts
    zh_Hant_HK.ts
    zh_TW.ts
)

qt5_add_translation(DEKKO_TRANSLATIONS_QM ${DEKKO_TRANSLATIONS_TS})

# To force these to be converted
add_custom_target (Dekko_translations ALL DEPENDS ${DEKKO_TRANSLATIONS_QM})

install(FILES
    ${DEKKO_TRANSLATIONS_QM}
    DESTINATION ${DEKKO_PLUGINS_DIR}/ui/i18n
)
