=== Dekko/utils/js/CMakeLists.txt ===
install(FILES
    qmldir
    QtCoreAPI.js
    DESTINATION ${QT_IMPORTS_DIR}/Dekko/Utils
)
