=== plugins/cache-manager-plugin/plugin/CMakeLists.txt ===
project(Dekko-cache-manager-plugin)

set(PLUGIN_TARGET dekko-cachemgr-plugin)

list(APPEND PLUGIN_SRCS
    cachemanagerplugin.cpp
)

add_library(${PLUGIN_TARGET} MODULE ${PLUGIN_SRCS})

target_compile_definitions(${PLUGIN_TARGET}
    PRIVATE
    DEKKO_VERSION="${Dekko_VERSION}"
)

target_include_directories(${PLUGIN_TARGET}
    PRIVATE
    ${QmfClient_INCLUDE_DIRS}
)

target_link_libraries(${PLUGIN_TARGET}
    PUBLIC
    mail
    plugman
    snap-standard-paths
    ${QmfClient_LIBRARIES}
    Qt5::Core
    Qt5::DBus
)

install(TARGETS
    ${PLUGIN_TARGET}
    DESTINATION ${DEKKO_PLUGINS_DIR}
)
