=== plugins/controls/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,3 @@
-find_package(Qt5Core 5.4 REQUIRED)
-find_package(Qt5Quick 5.4 REQUIRED)
-find_package(Qt5Svg 5.4 REQUIRED)
-
-include_directories(
-    ${CMAKE_CURRENT_SOURCE_DIR}
-)
-
 set(ControlsPlugin_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/ControlsPlugin.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/QQuickStack.cpp
@@ -13,7 +5,17 @@
 
 add_library(controlsplugin MODULE ${ControlsPlugin_SRCS})
 
-qt5_use_modules(controlsplugin Core Quick Svg)
+target_include_directories(controlsplugin
+    PUBLIC
+    ${CMAKE_CURRENT_SOURCE_DIR}
+)
+
+target_link_libraries(controlsplugin
+    PUBLIC
+    Qt5::Core
+    Qt5::Quick
+    Qt5::Svg
+)
 
 set(CONTROLS_PLUGIN_DIR ${QT_IMPORTS_DIR}/Dekko/Controls)
 
@@ -27,6 +29,5 @@
 )
 add_custom_target(DekkoControlsQml ALL SOURCES ${QML_CTRL_SRCS})
 
-
 install(TARGETS controlsplugin DESTINATION ${CONTROLS_PLUGIN_DIR})
 install(FILES ${QML_CTRL_SRCS} DESTINATION ${CONTROLS_PLUGIN_DIR})
