=== Dekko/CMakeLists.txt ===
add_subdirectory(utils)
add_subdirectory(components)
add_subdirectory(backend)
add_subdirectory(server)

add_subdirectory(app)

add_subdirectory(api)
add_subdirectory(stores)
add_subdirectory(workers)
