=== plugins/CMakeLists.txt ===
project(Dekko-plugins)

add_subdirectory(plugman)
add_subdirectory(controls)

if(DEKKO_ENABLE_UI)
    add_subdirectory(ubuntu-plugin)
endif()

if(CLICK_MODE)
    add_subdirectory(ubuntu-notification-plugin)
endif()

add_subdirectory(cache-manager-plugin)
