=== richtext-editor/CMakeLists.txt ===
project(qml-richtext-editor LANGUAGES NONE)

include(GNUInstallDirs)

option(RTE_EXAMPLE "Install example." ON)

if(DEFINED QT_IMPORTS_DIR)
    message(STATUS "Qt imports dir already set. Installing Notify to ${QT_IMPORTS_DIR}")
else()
    find_package(Qt5Core REQUIRED)

    get_target_property(QMAKE_EXECUTABLE Qt5::qmake LOCATION)
    execute_process(
      COMMAND ${QMAKE_EXECUTABLE} -query QT_INSTALL_QML
      OUTPUT_VARIABLE QT_IMPORTS_DIR OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    file(TO_CMAKE_PATH "${QT_IMPORTS_DIR}" QT_IMPORTS_DIR)
endif()

add_subdirectory(src)

if(RTE_EXAMPLE)
    add_subdirectory(example)
endif()
