=== snap-standard-paths/CMakeLists.txt ===
project(snap-standard-paths LANGUAGES CXX)

include(GNUInstallDirs)

find_package(Qt5Core REQUIRED)

list(APPEND SSP_HEADERS
    SnapStandardPaths.h
)

list(APPEND SSP_SRCS
    SnapStandardPaths.cpp
)

add_library(snap-standard-paths STATIC ${SSP_SRCS})

target_include_directories(snap-standard-paths
    PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
)

target_link_libraries(snap-standard-paths
    PUBLIC
    Qt5::Core
)
