=== super-macros/CMakeLists.txt ===
project(SuperMacros LANGUAGES NONE)

include(GNUInstallDirs)

list(APPEND SuperMacro_HDRS
    QQmlAutoPropertyHelpers.h
    QQmlConstRefPropertyHelpers.h
    QQmlEnumClassHelper.h
    QQmlHelpersCommon.h
    QQmlListPropertyHelper.h
    QQmlPtrPropertyHelpers.h
    QQmlVarPropertyHelpers.h
)

install(FILES ${SuperMacro_HDRS}
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)
