=== upstream/CMakeLists.txt ===
set(ENABLE_LOGGING ${DEKKO_ENABLE_QMF_LOGGING})

if(NOT DEKKO_SYSTEM_QMF)
    add_subdirectory(qmf)
endif()

if(NOT DEKKO_SYSTEM_QUICKFLUX)
    add_subdirectory(quick-flux)
endif()
