=== Dekko/api/CMakeLists.txt ===
add_subdirectory(public)
