=== Dekko/app/CMakeLists.txt ===
project(Dekko-Mail)

list(APPEND dekko_SRCS
    Dekko.cpp
    main.cpp
)

qt5_add_resources(dekko_SRCS
    dekko.qrc
    assets/icons/actions/actionicons.qrc
    assets/icons/filetypes/filetypeicons.qrc
    assets/icons/providers/providericons.qrc
)

add_executable(dekko ${dekko_SRCS})

target_compile_definitions(dekko
    PRIVATE
    DEKKO_VERSION="${Dekko_VERSION}"
    DEKKO_PLUGINS_DIR="${DEKKO_PLUGINS_DIR}"
)

if(CLICK_MODE)
    target_compile_definitions(dekko
        PRIVATE
        CLICK_MODE
        APP_NAME="dekko2.dekkoproject"
        APP_ORG="dekko2.dekkoproject"
    )
else()
    target_compile_definitions(dekko
        PRIVATE
        SNAP_MODE
        APP_NAME="dekko"
        APP_ORG="dekkoproject"
    )
endif()

target_include_directories(dekko
    PRIVATE
    ${QmfClient_INCLUDE_DIRS}
    ${QmfMessageServer_INCLUDE_DIRS}
)

target_link_libraries(dekko
    PUBLIC
    network
    plugman
    snap-standard-paths
    ${QmfClient_LIBRARIES}
    ${QmfMessageServer_LIBRARIES}
    Qt5::Core
    Qt5::Gui
    Qt5::Qml
    Qt5::Quick
    Qt5::QuickControls2
    Qt5::Widgets
    Qt5::WebEngine
)

install(TARGETS
    dekko
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

install(DIRECTORY
    assets/configuration
    DESTINATION ${CMAKE_INSTALL_DATADIR}/dekko
)

if(CLICK_MODE)
    install(FILES
        assets/icons/dekko/dekko.png
        DESTINATION ${CMAKE_INSTALL_PREFIX}
    )
else()
    install(FILES
        assets/icons/dekko/dekko.png
        DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps
    )
endif()
