=== debian/changelog ===
lomiri-dekko-app (0.5.2+dfsg-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Trivial rebase of 2002-Build-against-Debian-qmf.patch for v0.5.2.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Add more files/dirs to global Excludes: field.
    + Update copyright attributions.
    + Update FSF mailing address.
  * debian/source/lintian-overrides:
    + Drop file. Not needed anymore.
  * debian/dekko.lintian-overrides:
    + Add one more custom-library-search-path override.

  [ Guido Berhörster ]
  * debian/*:
    + Update to dekko 0.5.x.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 28 Aug 2025 10:16:53 +0200
