=== debian/control ===
Source: lomiri-dekko-app
Section: x11
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
 debhelper-compat (= 13),
 pkgconf,
 qtbase5-dev,
 qtdeclarative5-dev,
 qtquickcontrols2-5-dev,
 libqt5svg5-dev,
 qtwebengine5-dev,
 qttools5-dev,
 liblomiri-connectivity-qt1-dev,
# libsignon-qt5-dev,
# libaccounts-qt5-dev,
 libleveldb-dev,
 libsnappy-dev,
 python3,
 python3-setuptools,
 qml-module-quickflux,
 zlib1g-dev,
 libqmf-qt5-dev (>= 5.0~git20250326.d27f464),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/dekkan/dekko/
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-dekko-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-dekko-app.git

Package: dekko
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 python3,
 python3-bs4,
 python3-cssutils,
 python3-html2text,
 python3-jinja2,
 python3-markdown,
 qml-module-io-thp-pyotherside,
 qml-module-lomiri-components,
 qml-module-lomiri-content,
 qml-module-qtqml-statemachine,
 qml-module-qtquick-controls2-suru,
 qml-module-qtwebengine,
 qml-module-quickflux,
 qmfmessageserver,
Description: Convergent email client
 Dekko is a much liked app for Ubuntu Touch's shell Lomiri. Ubuntu Touch
 is a mobile OS developed by the UBports Foundation. Lomiri is its
 operating environment optimized for touch based human-machine
 interaction, but also supports convergence (i.e. switching between
 tablet/phone and desktop mode).
 .
 Dekko is an convergent email client which supports the IMAP and SMTP
 protocols and lets you add multiple accounts.

Package: lomiri-dekko-app
Architecture: all
Depends:
 ${misc:Depends},
 dekko (>= ${source:Version}),
 lomiri-app-launch-tools,
Description: Wrapper package around dekko, but with Lomiri namespacing
 Dekko is a much liked app for Ubuntu Touch's shell Lomiri. Ubuntu Touch
 is a mobile OS developed by the UBports Foundation. Lomiri is its
 operating environment optimized for touch based human-machine
 interaction, but also supports convergence (i.e. switching between
 tablet/phone and desktop mode).
 .
 This package provides a wrapper script for launching dekko as
 'lomiri-dekko-app' from the command-line.
