=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCLICK_MODE=OFF \
	    -DDEKKO_UNCONFINED=ON \
	    -DDEKKO_SYSTEM_QUICKFLUX=ON \
	    -DDEKKO_SYSTEM_QMF=ON

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/tmp/usr/lib/*/qt5/qml/Dekko/Python/pynliner/__pycache__/
	rm debian/tmp/usr/lib/*/qt5/qml/Dekko/Notify/LICENSE

override_dh_installsystemduser:
	dh_installsystemduser --name dekko-qmfmessageserver

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..
